Rated 4 out of 5 stars

I also cannot install the beta with FF 3.6.13.
I get:
Firefox could not install the file at

https://addons.mozilla.org/firefox/downloads/file/79919/tab_history-1.0.7-fx.xpi?src=addondetail

because: Download error
-228